Attribute VB_Name = "Declarations"
Option Private Module
Option Explicit

Public Const HELP_BOOKMARK = "HT03_VIEW"
Public Const HELP_FILE_PATH = "\\fs1.concept.ru\Projects\10  \01  \-\! .docx"

Public Const SHT_START = "Start"
Public Const SHT_DOCS = ""
Public Const SHT_IGNORE = ""
Public Const SHT_LINKS = ""
Public Const SHT_OUT_DOCS = "-"
Public Const SHT_OUT_LINKS = "-"

Public Const VIEW_CELL_UPDATE = "c_UpdateDate"
Public Const VIEW_CELL_DBPATH = "c_DataPath"
Public Const VIEW_CELL_HASH = "c_Hash"
Public Const VIEW_CELL_LAWS = "c_LawLocation"
Public Const PARAM_INCLUDE_TBA = "c_IncludeTBA"

Public Const STATS_LNK_DEFAULT = "sts_LnkTBA"
Public Const STATS_LNK_ASPECT = "sts_LnkAspect"
Public Const STATS_LNK_FOUND = "sts_LnkFoundation"
Public Const STATS_LNK_DEFINE = "sts_LnkDefine"
Public Const STATS_LNK_TOTAL = "sts_Links"
Public Const STATS_DOCS_TOTAL = "sts_Docs"
Public Const STATS_DOCS_IGNORE = "sts_Ignore"

Public Const DOCS_PROGRESS_FACTOR = 10

' #NOTE: All UI enums should start with 0 because of ListIndex
' Type of documents source for Query
Public Enum TLawSource
  T_LS_SELECTED = 0
  T_LS_VISIBLE = 1
  T_LS_FROM_ID = 2
End Enum

' Type of links for Query
Public Enum TQueryLink
  T_QL_ALL = 0
  T_QL_FOUND = 1
  T_QL_DEFINITION = 2
  T_QL_ASPECT = 3
  T_QL_TBA = 4
End Enum

' Link follow direction
Public Enum TLinkDirection
  T_LD_STRAIGHT = 0
  T_LD_REVERSE = 1
  T_LD_BOTH = 2
End Enum

' Document statistics columns
Public Enum StatsStruct
  SS_LINKS_TOTAL = 15    '   
  SS_LINKS_FOUND = 16     ' 
  SS_LINKS_DEFINE = 17    ' 
  SS_LINKS_ASPECT = 18     ' 
  SS_LINKS_DEFAULT = 19     '  
End Enum

' _I_ Ignore document entry
Public Enum IgnoreStruct
  [_First] = 1
  
  S_I_GARANT_ID = 1     'ID    
  S_I_TYPE = 2       '  
  S_I_FILENAME = 3    '    
  S_I_TITLE = 4       ' 
  
  [_Last] = 4
End Enum

' _QD_ Documents query response
Public Enum QueryLawsStruct
  S_QD_ID = 1
  S_QD_TYPE = 2
  S_QD_TITLE = 3
  S_QD_TYPE_TXT = 4
  S_QD_CREATOR = 5
  S_QD_DATE = 6
  S_QD_NUMBER = 7
  S_QD_HEADER = 8
  S_QD_ATTACH = 9
  S_QD_TIME_SCOPED = 10
  S_QD_LNK_TOTAL = 11
  S_QD_LNK_FOUND = 12
  S_QD_LNK_DEFINE = 13
  S_QD_LNK_ASPECT = 14
End Enum

' _QL_ Links query response
Public Enum QueryLinksStruct
  S_QL_SOURCE_ID = 1
  S_QL_SOURCE_SUB = 2
  S_QL_TARGET_ID = 3
  S_QL_TARGET_SUB = 4
  S_QL_TYPE = 5
  S_QL_SOURCE_TITLE = 6
  S_QL_SOURCE_TEXT = 7
  S_QL_TARGET_TITLE = 8
  S_QL_TARGET_TEXT = 9
End Enum
