Attribute VB_Name = "Declarations"
Option Private Module
Option Explicit

Public Const HELP_WORD_BOOKMARK = "HT03_VISIO"
Public Const HELP_FILE_PATH = "\\fs1.concept.ru\Projects\10  \01  \-\! .docx"

' Master shapes names
Public Const MASTER_DOCUMENT = ""
Public Const MASTER_CONNECTOR = ""

' Custom cells names
Public Const CELLSU_LNKTYPE = "User.LinkType"
Public Const CELLSU_DOCLEVEL = "User.DocLevel"

' Max length of doc title
Public Const MAX_TITLE_LEN = 130

Public Const PREFIX_HEAD = "H"

' ======== LayoutManager constants ================
Public Const VERTICAL_GAP = 10# ' mm
Public Const HORIZONTAL_GAP = 10# ' mm
Public Const SHAPE_HEIGHT = 25# ' mm
Public Const SHAPE_WIDTH = 80# ' mm

Public Const MM_TO_INCH = 25.4

Public Const MAX_LEVEL = 9

'# Layout Type
Public Enum VsoLayoutType
  [_First] = 1
  
  VLT_VERTICAL = 1
  VLT_HORIZONTAL = 2
  
  [_Last] = 3
End Enum

' ======== XL constants ================
Public Const XL_FIRST_LINE = 2

Public Enum DocsStruct
  DS_ID = 1
  DS_LEVEL = 2
  DS_TITLE = 3
  DS_TYPE = 4
  DS_GID = 5
End Enum

Public Enum LinksStruct
  LS_SOURCE = 1
  LS_TARGET = 2
  LS_TYPE = 3
End Enum

Public Function DocLevelText(docLvl&) As String
  Select Case docLvl
    Case 1: DocLevelText = "    "
    Case 2: DocLevelText = "  "
    Case 3: DocLevelText = ", ,  "
    Case 4: DocLevelText = ",  ,  "
    Case 5: DocLevelText = "   "
    Case 6: DocLevelText = " ,   "
    Case 7: DocLevelText = "  "
    Case 8: DocLevelText = " 8"
    Case 9: DocLevelText = " 9"
  End Select
End Function

